# Created by pyp2rpm-3.0.0
%global pypi_name virtualenv-api
%global underscore_name virtualenv_api

# test suite is disabled default for koji builds,
# because the tests require internet connection.
%global run_test_suite 0

Name:           python-%{pypi_name}
Version:        2.1.9
Release:        2%{?dist}
Summary:        An API for virtualenv/pip

License:        BSD
URL:            https://github.com/sjkingo/virtualenv-api
Source0:        %{pypi_name}-%{version}.tar.gz

# Add tests and LICENSE missing in sources
Patch0:         add_tests_license.patch

BuildArch:      noarch
 
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-virtualenv
BuildRequires:  python-six
BuildRequires:  python-pip
BuildRequires:  git-all
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-virtualenv
BuildRequires:  python3-six
BuildRequires:  python3-pip

%description
virtualenv-api - an API for virtualenv
Tool to create isolated Python environments. Unfortunately, 
it does not expose a native Python API. This package aims to 
provide an API in the form of a wrapper around virtualenv.

%package -n     python2-%{pypi_name}
Summary:        An API for virtualenv/pip
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-six
Requires:       python2-virtualenv
Requires:       python-pip
%description -n python2-%{pypi_name}
virtualenv-api - an API for virtualenv
Tool to create isolated Python environments. Unfortunately, 
it does not expose a native Python API. This package aims to 
provide an API in the form of a wrapper around virtualenv.

%package -n     python3-%{pypi_name}
Summary:        An API for virtualenv/pip
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-six
Requires:       python3-virtualenv
Requires:       python3-pip
%description -n python3-%{pypi_name}
virtualenv-api - an API for virtualenv
Tool to create isolated Python environments. Unfortunately, 
it does not expose a native Python API. This package aims to 
provide an API in the form of a wrapper around virtualenv.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%if 0%{run_test_suite}
%check
%{__python3} setup.py test
%endif # run_test_suite

%files -n python2-%{pypi_name} 
%license LICENSE
%doc README.rst
%{python2_sitelib}/virtualenvapi
%{python2_sitelib}/%{underscore_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name} 
%license LICENSE
%doc README.rst
%{python3_sitelib}/virtualenvapi
%{python3_sitelib}/%{underscore_name}-%{version}-py?.?.egg-info

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.9-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jun 06 2016 Michal Cyprian <mcyprian@redhat.com> - 2.1.8-4
- Update to 2.1.9

* Wed Apr 13 2016 Michal Cyprian <mcyprian@redhat.com> - 2.1.8-2
- Add requires, use test_suite enabling macro

* Wed Mar 30 2016 Michal Cyprian <mcyprian@redhat.com> - 2.1.8-1
- Initial package.
